Bug 22581 - vlc update to 3.0.2 (stable release)
Summary: vlc update to 3.0.2 (stable release)
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA6-64-OK MGA6-32-OK
Keywords: advisory, validated_update
Depends on: 22657
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-12 11:07 CET by Shlomi Fish
Modified: 2018-05-11 23:55 CEST (History)
8 users (show)

See Also:
Source RPM: vlc
CVE:
Status comment:


Attachments

Description Shlomi Fish 2018-02-12 11:07:46 CET
Description of problem:

There is a new package in mga 6 core/updates_testing and tainted/updates_testing of vlc 3.0.0 with rel 1 of the stable, official release. Please try to upgrade it and test.

Steps to Reproduce:
1. enable the updates_testing repos.
2. urpmi vlc
3.
Comment 1 Marja Van Waes 2018-02-12 12:11:12 CET
(In reply to Shlomi Fish from comment #0)
> Description of problem:
> 
> There is a new package in mga 6 core/updates_testing and
> tainted/updates_testing of vlc 3.0.0 with rel 1 of the stable, official
> release. Please try to upgrade it and test.
> 
> Steps to Reproduce:
> 1. enable the updates_testing repos.
> 2. urpmi vlc
> 3.

I guess you want to add an advisory and assign to QA?

CC: (none) => marja11
Assignee: bugsquad => shlomif

Comment 2 Luc Menut 2018-02-12 12:37:33 CET
Be careful, this vlc update is built against qt 5.9 available in updates_testing, so it requires Qt 5.9.
rpm -qp --requires vlc-plugin-common-3.0.0-1.mga6.x86_64.rpm |grep "Qt_5\."
libQt5Core.so.5(Qt_5.9)(64bit)

CC: (none) => lmenut

Comment 3 David Walser 2018-02-12 14:17:22 CET
Thanks Luc, nice catch.  Saving the advisory for when Qt 5.9 is pushed and we can send this to QA.

Advisory:
--------------------------------------------------

Mageia 6 included a development snapshot of VLC leading up to the 3.0.0
release.  Version 3.0.0 of VLC has now been officially released and the stable
version is being provided, which includes many bug fixes.  See the upstream
release announcement and change log for details.

References:
https://www.videolan.org/vlc/releases/3.0.0.html
https://www.videolan.org/developers/vlc-branch/NEWS
--------------------------------------------------

Updated packages in {core,tainted}/updates_testing:
--------------------------------------------------
vlc-3.0.0-1.mga6
libvlc5-3.0.0-1.mga6
libvlccore9-3.0.0-1.mga6
libvlc-devel-3.0.0-1.mga6
vlc-plugin-common-3.0.0-1.mga6
vlc-plugin-zvbi-3.0.0-1.mga6
vlc-plugin-kate-3.0.0-1.mga6
vlc-plugin-libass-3.0.0-1.mga6
vlc-plugin-lua-3.0.0-1.mga6
vlc-plugin-ncurses-3.0.0-1.mga6
vlc-plugin-lirc-3.0.0-1.mga6
svlc-3.0.0-1.mga6
vlc-plugin-aa-3.0.0-1.mga6
vlc-plugin-sdl-3.0.0-1.mga6
vlc-plugin-shout-3.0.0-1.mga6
vlc-plugin-opengl-3.0.0-1.mga6
vlc-plugin-vdpau-3.0.0-1.mga6
vlc-plugin-projectm-3.0.0-1.mga6
vlc-plugin-theora-3.0.0-1.mga6
vlc-plugin-twolame-3.0.0-1.mga6
vlc-plugin-fluidsynth-3.0.0-1.mga6
vlc-plugin-gme-3.0.0-1.mga6
vlc-plugin-schroedinger-3.0.0-1.mga6
vlc-plugin-speex-3.0.0-1.mga6
vlc-plugin-flac-3.0.0-1.mga6
vlc-plugin-dv-3.0.0-1.mga6
vlc-plugin-mod-3.0.0-1.mga6
vlc-plugin-mpc-3.0.0-1.mga6
vlc-plugin-sid-3.0.0-1.mga6
vlc-plugin-pulse-3.0.0-1.mga6
vlc-plugin-jack-3.0.0-1.mga6
vlc-plugin-upnp-3.0.0-1.mga6
vlc-plugin-gnutls-3.0.0-1.mga6
vlc-plugin-libnotify-3.0.0-1.mga6
vlc-plugin-chromaprint-3.0.0-1.mga6

from vlc-3.0.0-1.mga6.src.rpm

CC: (none) => luigiwalser

Comment 4 Olivier Delaune 2018-02-13 07:40:18 CET
I installed lib64vlc5, lib64vlccore9, vlc, vlc-plugin-common, vlc-plugin-flac, vlc-plugin-pulse, vlc-plugin-speex, vlc-plugin-theora, vlc-plugin-vdpau packages on Mageia 6 64-bits. I previously installed Qt 5.9.3 packages.

Everything works fine until now.

CC: (none) => olivier.delaune

Comment 5 katnatek 2018-02-13 21:15:40 CET
The new libQtCore breaks smtube , I don't know why but just can use the cli version so i back to the version in non testing repositories
Comment 6 katnatek 2018-02-13 21:43:10 CET
LC_ALL=C vlc
VLC media player 3.0.0 Vetinari (revision 3.0.0-30-gef4c265336)
[088c7110] main libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.
[08922e80] main playlist: playlist is empty
[089399b0] [cli] lua interface: Listening on host "*console".
VLC media player 3.0.0 Vetinari
Command Line Interface initialized. Type `help' for help.

smtube 
This application failed to start because it could not find or load the Qt platform plugin "xcb"
in "".

Available platform plugins are: eglfs, linuxfb, minimal, minimalegl, offscreen, xcb.

Reinstalling the application may fix this problem.
Abortado (`core' generado)
Comment 7 katnatek 2018-02-13 22:01:25 CET
With the actual version i get

LC_ALL=C vlc
VLC media player 3.0.0-git Vetinari (revision 2.2.0-git-12711-gc99321fbb3)
[098bd10c] core libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.
[0991d4d4] core playlist: playlist is empty

And the gui rises as must :)
Comment 8 katnatek 2018-02-13 22:09:24 CET
(In reply to katnatek from comment #5)
> The new libQtCore breaks smtube , I don't know why but just can use the cli
> version so i back to the version in non testing repositories

Explain a few more, with the cli version i mean vlc's cli version, it like if the lua interface is open instead the qt.

Smtube crash as i post in comment #6
Comment 9 Olivier Delaune 2018-02-13 22:18:51 CET
@katnatek: are you sure you installed Qt 5.9.3 packages? Please check it with rpm -qa | grep qt5 | grep "5\."
Comment 10 katnatek 2018-02-14 00:11:54 CET
(In reply to Olivier Delaune from comment #9)
> @katnatek: are you sure you installed Qt 5.9.3 packages? Please check it
> with rpm -qa | grep qt5 | grep "5\."

This is what is installed whith vlc 3 final

instalando libqt5core5-5.9.3-2.1.mga6.i586.rpm libvlc5-3.0.0-1.mga6.tainted.i586.rpm qtbase5-common-5.9.3-2.1.mga6.i586.rpm vlc-plugin-libass-3.0.0-1.mga6.tainted.i586.rpm vlc-plugin-gnutls-3.0.0-1.mga6.tainted.i586.rpm vlc-plugin-vdpau-3.0.0-1.mga6.tainted.i586.rpm vlc-plugin-lua-3.0.0-1.mga6.tainted.i586.rpm vlc-3.0.0-1.mga6.tainted.i586.rpm vlc-plugin-pulse-3.0.0-1.mga6.tainted.i586.rpm vlc-plugin-flac-3.0.0-1.mga6.tainted.i586.rpm vlc-plugin-common-3.0.0-1.mga6.tainted.i586.rpm libvlccore9-3.0.0-1.mga6.tainted.i586.rpm vlc-plugin-theora-3.0.0-1.mga6.tainted.i586.rpm desde /var/cache/urpmi/rpms
Preparando...                    #############################################
     1/13: libvlccore9           #############################################
     2/13: libvlc5               #############################################
     3/13: qtbase5-common        #############################################
     4/13: libqt5core5           #############################################
     5/13: vlc-plugin-vdpau      #############################################
     6/13: vlc-plugin-common     #############################################
     7/13: vlc                   #############################################
     8/13: vlc-plugin-libass     #############################################
     9/13: vlc-plugin-gnutls     #############################################
    10/13: vlc-plugin-lua        #############################################
    11/13: vlc-plugin-flac       #############################################
    12/13: vlc-plugin-theora     #############################################
    13/13: vlc-plugin-pulse      #############################################

The command you give don't help to debug process because i already back to the git version in repositories ;)
Comment 11 katnatek 2018-02-14 00:16:09 CET
And añready back to qtbase5-common libqt5core5 versions in non testing repositories, but just in case

rpm -qa | grep qt5 | grep "5\."
python3-qt5-widgets-5.6-8.mga6
libqt5qml5-5.6.2-10.mga6
libpolkit-qt5-core1-0.112.0-5.mga6
libqt5quicktest5-5.6.2-10.mga6
libqt5svg5-5.6.2-1.mga6
libqt5opengl5-5.6.2-11.mga6
libqt5sql5-5.6.2-11.mga6
libqt5script5-5.6.2-2.mga6
libqt5xml5-5.6.2-11.mga6
libpolkit-qt5-agent1-0.112.0-5.mga6
libqt5gui5-5.6.2-11.mga6
python3-qt5-gui-5.6-8.mga6
libqt5quick5-5.6.2-10.mga6
libqt5quickparticles5-5.6.2-10.mga6
libqt5x11extras5-5.6.2-1.mga6
libqt5core5-5.6.2-11.mga6
libqt5egldeviceintegration5-5.6.2-11.mga6
libqt5xmlpatterns5-5.6.2-2.mga6
libqt5widgets5-5.6.2-11.mga6
libqt5webkitwidgets5-5.6.2-2.mga6
libqt5labstemplates5-5.6.2-1.mga6
libqt5test5-5.6.2-11.mga6
libqt5xcbqpa5-5.6.2-11.mga6
libqt5printsupport5-5.6.2-11.mga6
libqt5webkit5-5.6.2-2.mga6
python3-qt5-core-5.6-8.mga6
libqt5network5-5.6.2-11.mga6
python3-qt5-dbus-5.6-8.mga6
libqt5dbus5-5.6.2-11.mga6

 Olivier did i must update all that ?
Comment 12 David Walser 2018-02-14 00:58:12 CET
You will need to update the Qt 5.9.3 packages to use this VLC package.  Note that we haven't assigned this bug to QA yet for testing.  Don't let us forget that we will need to rebuild smtube before we push the Qt update.
Comment 13 katnatek 2018-02-14 01:14:48 CET
(In reply to David Walser from comment #12)
> You will need to update the Qt 5.9.3 packages to use this VLC package.  Note
> that we haven't assigned this bug to QA yet for testing.  Don't let us
> forget that we will need to rebuild smtube before we push the Qt update.

I did try, just hope not end with broken system ;)
Comment 14 katnatek 2018-02-14 02:05:22 CET
Ok, i update all the 5.6 in the comment #11 to 5.9 in testing

urpmi libqt5xcbqpa5 libqt5qml5 libqt5quicktest5 libqt5svg5 libqt5opengl5 libqt5sql5 libqt5script5  libqt5xml5 libqt5gui5 libqt5quick5 libqt5quickparticles5 libqt5x11extras5 libqt5egldeviceintegration5 libqt5xmlpatterns5 libqt5widgets5 libqt5webkitwidgets5 libqt5labstemplates5 libqt5test5 libqt5printsupport5 libqt5webkit5 libqt5network5 libqt5dbus5

And now the gui rise, also the smtube crash was fixed

Did not all or god portion of this must be required whit the vlc install ?
I did more test other day
Comment 15 katnatek 2018-02-14 02:18:19 CET
Quick test related to https://bugs.mageia.org/show_bug.cgi?id=20742 , the DVD backups that i test until now works well but i need to do a deep test ;)
Comment 16 katnatek 2018-02-14 20:29:39 CET
Looks good, works equal and in the case of dvd better than the previous version 
Tested on i586
katnatek 2018-02-21 01:23:07 CET

See Also: (none) => https://bugs.mageia.org/show_bug.cgi?id=20742

Comment 17 Olivier Delaune 2018-02-25 22:22:49 CET
I believe that this new version of vlc is responsible of a crash of amarok. 
From the backtrace, it seems to be related to phonon vlc. That's said, I am not absolutely sure that it is related to vlc; it could be related to the Plasma and KDE application updates.

Here is the backtrace:

Application: Amarok (amarok), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fbc308a7840 (LWP 1116))]

Thread 2 (Thread 0x7fbbf772e700 (LWP 1132)):
#0  0x00007fbc2d578f5d in poll () at /lib64/libc.so.6
#1  0x00007fbbf984b8a8 in linux_udev_event_thread_main () at /lib64/libusb-1.0.so.0
#2  0x00007fbc2bc2366d in start_thread () at /lib64/libpthread.so.0
#3  0x00007fbc2d584d9d in clone () at /lib64/libc.so.6

Thread 1 (Thread 0x7fbc308a7840 (LWP 1116)):
[KCrash Handler]
#6  0x00007fbc2d525160 in __memcpy_sse2_unaligned () at /lib64/libc.so.6
#7  0x00007fbc2dc3c76b in QByteArray::append(char const*) () at /lib64/libQtCore.so.4
#8  0x00007fbbd27056a3 in QMetaTypeIdQObject<QWidget*, 8>::qt_metatype_id() () at /lib64/libQt5Widgets.so.5
#9  0x00007fbbd26abee7 in _GLOBAL__sub_I_qwidgetsvariant.cpp () at /lib64/libQt5Widgets.so.5
#10 0x00007fbc307b74aa in call_init.part () at /lib64/ld-linux-x86-64.so.2
#11 0x00007fbc307b75bb in _dl_init () at /lib64/ld-linux-x86-64.so.2
#12 0x00007fbc307bb7a1 in dl_open_worker () at /lib64/ld-linux-x86-64.so.2
#13 0x00007fbc307b7354 in _dl_catch_error () at /lib64/ld-linux-x86-64.so.2
#14 0x00007fbc307bada1 in _dl_open () at /lib64/ld-linux-x86-64.so.2
#15 0x00007fbc2714dfc9 in dlopen_doit () at /lib64/libdl.so.2
#16 0x00007fbc307b7354 in _dl_catch_error () at /lib64/ld-linux-x86-64.so.2
#17 0x00007fbc2714e641 in _dlerror_run () at /lib64/libdl.so.2
#18 0x00007fbc2714e061 in dlopen () at /lib64/libdl.so.2
#19 0x00007fbc0888f44f in module_Load () at /lib64/libvlccore.so.8
#20 0x00007fbc0880fbea in AllocatePluginDir () at /lib64/libvlccore.so.8
#21 0x00007fbc0880fb23 in AllocatePluginDir () at /lib64/libvlccore.so.8
#22 0x00007fbc0880ff29 in AllocatePluginPath () at /lib64/libvlccore.so.8
#23 0x00007fbc0881047f in module_LoadPlugins () at /lib64/libvlccore.so.8
#24 0x00007fbc087f71f6 in libvlc_InternalInit () at /lib64/libvlccore.so.8
#25 0x00007fbc085bf4ee in libvlc_new () at /lib64/libvlc.so.5
#26 0x00007fbc08b4de2f in LibVLC::init() () at /usr/lib64/kde4/plugins/phonon_backend/phonon_vlc.so
#27 0x00007fbc08b33190 in Phonon::VLC::Backend::Backend(QObject*, QList<QVariant> const&) () at /usr/lib64/kde4/plugins/phonon_backend/phonon_vlc.so
#28 0x00007fbc08b33dc3 in qt_plugin_instance () at /usr/lib64/kde4/plugins/phonon_backend/phonon_vlc.so
#29 0x00007fbc2dd23a3b in QPluginLoader::instance() () at /lib64/libQtCore.so.4
#30 0x00007fbc09994701 in Phonon::KdePlatformPlugin::createBackend(KSharedPtr<KService>) () at /usr/lib64/kde4/plugins/phonon_platform/kde.so
#31 0x00007fbc09994e7b in Phonon::KdePlatformPlugin::createBackend() () at /usr/lib64/kde4/plugins/phonon_platform/kde.so
#32 0x00007fbc2cfa1f46 in Phonon::FactoryPrivate::createBackend() () at /lib64/libphonon.so.4
#33 0x00007fbc2cfa2648 in Phonon::Factory::backend(bool) () at /lib64/libphonon.so.4
#34 0x00007fbc2cfa2d22 in Phonon::Factory::createAudioOutput(QObject*) () at /lib64/libphonon.so.4
#35 0x00007fbc2cf9b499 in Phonon::AudioOutputPrivate::createBackendObject() () at /lib64/libphonon.so.4
#36 0x00007fbc2cf985d4 in Phonon::AudioOutputPrivate::init(Phonon::Category) () at /lib64/libphonon.so.4
#37 0x00007fbc3032bcb7 in EngineController::initializePhonon() () at /lib64/libamaroklib.so.1
#38 0x00007fbc303327f5 in EngineController::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) [clone .part.50] () at /lib64/libamaroklib.so.1
#39 0x00007fbc2dd47a61 in QMetaMethod::invoke(QObject*, Qt::ConnectionType, QGenericReturnArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument) const () at /lib64/libQtCore.so.4
#40 0x00007fbc2dd49e0e in QMetaObject::invokeMethod(QObject*, char const*, Qt::ConnectionType, QGenericReturnArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument) () at /lib64/libQtCore.so.4
#41 0x00007fbc303f50ff in Amarok::DefaultApplicationController::initEngineController() () at /lib64/libamaroklib.so.1
#42 0x00007fbc303f5161 in Amarok::DefaultApplicationController::start() () at /lib64/libamaroklib.so.1
#43 0x00007fbc303254ef in App::continueInit() () at /lib64/libamaroklib.so.1
#44 0x00007fbc303269ec in App::App() () at /lib64/libamaroklib.so.1
#45 0x00000000004077f0 in main ()
Comment 18 Shlomi Fish 2018-02-26 09:43:54 CET
(In reply to Olivier Delaune from comment #17)
> I believe that this new version of vlc is responsible of a crash of amarok. 
> From the backtrace, it seems to be related to phonon vlc. That's said, I am
> not absolutely sure that it is related to vlc; it could be related to the
> Plasma and KDE application updates.

seems like amarok in mageia is still a qt4/kde4 app, and so may not play well with Qt5 in VLC (though it may not be used in libvlc). Moreover, Amarok has been undermaintained for several years. I can reproduce a crash on mageia 7 x86-64.
Comment 19 Frédéric Buclin 2018-02-26 16:45:53 CET
(In reply to Shlomi Fish from comment #18)
> seems like amarok in mageia is still a qt4/kde4 app, and so may not play
> well with Qt5 in VLC (though it may not be used in libvlc). Moreover, Amarok
> has been undermaintained for several years. I can reproduce a crash on
> mageia 7 x86-64.

Did someone try to compile amarok using the Kf5 branch? https://phabricator.kde.org/source/amarok/repository/kf5/
Comment 20 David Walser 2018-03-01 06:05:00 CET
VLC 3.0.1 is out, with several bug and some security fixes:
https://www.videolan.org/developers/vlc-branch/NEWS

We'll need to update this again in Mageia 6 and Cauldron.

Summary: vlc update to 3.0.0-1 (stable release) => vlc update to 3.0.1 (stable release)

Comment 21 Shlomi Fish 2018-03-07 16:45:37 CET
(In reply to David Walser from comment #20)
> VLC 3.0.1 is out, with several bug and some security fixes:
> https://www.videolan.org/developers/vlc-branch/NEWS
> 
> We'll need to update this again in Mageia 6 and Cauldron.

updated in cauldron. Is it safe to update in mga6 with the qt update?
Comment 22 David Walser 2018-03-08 00:22:26 CET
Yes please build it.  We will push it after the Qt update.
Comment 23 Shlomi Fish 2018-03-08 09:54:47 CET
(In reply to David Walser from comment #22)
> Yes please build it.  We will push it after the Qt update.

committed new version, thanks!
Comment 24 Olivier Delaune 2018-03-19 19:15:44 CET
Amarok is still unhappy with this new version of VLC
Comment 25 David Walser 2018-04-23 05:38:53 CEST
3.0.2 fixes several crashes:
https://www.videolan.org/developers/vlc-branch/NEWS

Summary: vlc update to 3.0.1 (stable release) => vlc update to 3.0.2 (stable release)

Comment 26 David Walser 2018-05-01 21:23:26 CEST
Update built by Shlomi.  This should go out with the Plasma updates.

Note: there are core and tainted builds of this package.

vlc-3.0.2-0.1.mga6
libvlc5-3.0.2-0.1.mga6
libvlccore9-3.0.2-0.1.mga6
libvlc-devel-3.0.2-0.1.mga6
vlc-plugin-common-3.0.2-0.1.mga6
vlc-plugin-zvbi-3.0.2-0.1.mga6
vlc-plugin-kate-3.0.2-0.1.mga6
vlc-plugin-libass-3.0.2-0.1.mga6
vlc-plugin-lua-3.0.2-0.1.mga6
vlc-plugin-ncurses-3.0.2-0.1.mga6
vlc-plugin-lirc-3.0.2-0.1.mga6
svlc-3.0.2-0.1.mga6
vlc-plugin-aa-3.0.2-0.1.mga6
vlc-plugin-sdl-3.0.2-0.1.mga6
vlc-plugin-shout-3.0.2-0.1.mga6
vlc-plugin-opengl-3.0.2-0.1.mga6
vlc-plugin-vdpau-3.0.2-0.1.mga6
vlc-plugin-projectm-3.0.2-0.1.mga6
vlc-plugin-theora-3.0.2-0.1.mga6
vlc-plugin-twolame-3.0.2-0.1.mga6
vlc-plugin-fluidsynth-3.0.2-0.1.mga6
vlc-plugin-gme-3.0.2-0.1.mga6
vlc-plugin-schroedinger-3.0.2-0.1.mga6
vlc-plugin-speex-3.0.2-0.1.mga6
vlc-plugin-flac-3.0.2-0.1.mga6
vlc-plugin-dv-3.0.2-0.1.mga6
vlc-plugin-mod-3.0.2-0.1.mga6
vlc-plugin-mpc-3.0.2-0.1.mga6
vlc-plugin-sid-3.0.2-0.1.mga6
vlc-plugin-pulse-3.0.2-0.1.mga6
vlc-plugin-jack-3.0.2-0.1.mga6
vlc-plugin-upnp-3.0.2-0.1.mga6
vlc-plugin-gnutls-3.0.2-0.1.mga6
vlc-plugin-libnotify-3.0.2-0.1.mga6
vlc-plugin-chromaprint-3.0.2-0.1.mga6

from vlc-3.0.2-0.1.mga6.src.rpm

CC: (none) => shlomif
Depends on: (none) => 22657
Assignee: shlomif => qa-bugs

Comment 27 katnatek 2018-05-02 21:08:04 CEST
Tested on i586 
DVD navigation works but in some dvds the area that most highlight when the cursor is on it don't get highlighted, but when click over the area the action is activated

Some videos have glitches as in previous versions but i use smplayer for that videos.
Comment 28 Thomas Andrews 2018-05-03 02:51:00 CEST
I use vlc strictly to play video files, mostly mp4. 

I installed this on three sets of very different real hardware, each one a 64-bit Plasma 5.12.2 install. I also installed it on a 32-bit Xfce install that had been updated with whichever Plasma/QT/kf5 packages were needed to run a few Plasma 5.12.2 apps.

In each case, the vlc packages installed cleanly, and videos played properly on each. 

I did locate one of my few video DVDs and tried it on one 64-bit install. Selections from the DVD menu were indicated by the appearance of some arrows when the cursor is over an item, and clicking on that item started the function. The video played perfectly.

I'm inclined to OK this, but perhaps it would be better if someone could test some of its other functions first.

CC: (none) => andrewsfarm

Comment 29 Thomas Andrews 2018-05-04 15:53:26 CEST
My apologies. I forgot to mention that all of my tests were with the tainted version.
Comment 30 Thomas Andrews 2018-05-05 00:51:39 CEST
After a brief discussion on the QA mailing list, I have decided the have been enough tests to OK and validate this update.

Whiteboard: (none) => MGA6-64-OK MGA6-32-OK
Keywords: (none) => validated_update
CC: (none) => sysadmin-bugs

Dave Hodgins 2018-05-07 09:59:00 CEST

CC: (none) => davidwhodgins
Keywords: (none) => advisory

Comment 31 Mageia Robot 2018-05-11 22:14:39 CEST
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2018-0075.html

Status: NEW => RESOLVED
Resolution: (none) => FIXED

Comment 32 katnatek 2018-05-11 23:55:17 CEST
After the big update i have to remove ~/.config/vlc because the mouse pointer lost precision i.e. the pointer was in on place but the action get activated was other.

Deleting that folder with vlc closed and relaunch vlc solves the issue.

Note You need to log in before you can comment on or make changes to this bug.